function signal = ifwt_1d_one_level(approx, detail, low, high)    
    len = 2*length(approx);    

    % low frequencies    
    upsampled_approx = zeros(1, len);
    upsampled_approx(1:2:end) = approx;   
    
    filtered_approx = cconv(upsampled_approx, low, len);
    
    % high frequencies
    upsampled_detail = zeros(1, len);
    upsampled_detail(1:2:end) = detail;   
    
    filtered_detail = cconv(upsampled_detail, high, len);
    
    signal = filtered_approx + filtered_detail;
    %signal = [signal(length(low):end) signal(1:length(low)-1)];
end